Vendor import of OpenSSH 6.2p2.

This commit is contained in:
Dag-Erling Smørgrav 2013-05-17 08:55:26 +00:00
parent 7ae06c6504
commit c3605b8bd9
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/vendor-crypto/openssh/dist/; revision=250737
svn path=/vendor-crypto/openssh/6.2p2/; revision=250738; tag=vendor/openssh/6.2p2
12 changed files with 78 additions and 30 deletions

View File

@ -1,3 +1,45 @@
20130516
- (djm) [contrib/ssh-copy-id] Fix bug that could cause "rm *" to be
executed if mktemp failed; bz#2105 ok dtucker@
- (djm) Release 6.2p2
20130510
- (djm) OpenBSD CVS Cherrypick
- djm@cvs.openbsd.org 2013/04/11 02:27:50
[packet.c]
quiet disconnect notifications on the server from error() back to logit()
if it is a normal client closure; bz#2057 ok+feedback dtucker@
- (djm) [version.h contrib/caldera/openssh.spec contrib/redhat/openssh.spec]
[contrib/suse/openssh.spec] Crank version numbers for release.
- (djm) [README] Update release notes URL
20130404
- (dtucker) OpenBSD CVS Sync
- dtucker@cvs.openbsd.org 2013/02/17 23:16:57
[readconf.c ssh.c readconf.h sshconnect2.c]
Keep track of which IndentityFile options were manually supplied and which
were default options, and don't warn if the latter are missing.
ok markus@
- dtucker@cvs.openbsd.org 2013/02/19 02:12:47
[krl.c]
Remove bogus include. ok djm
- dtucker@cvs.openbsd.org 2013/02/22 04:45:09
[ssh.c readconf.c readconf.h]
Don't complain if IdentityFiles specified in system-wide configs are
missing. ok djm, deraadt.
- markus@cvs.openbsd.org 2013/02/22 19:13:56
[sshconnect.c]
support ProxyCommand=- (stdin/out already point to the proxy); ok djm@
- djm@cvs.openbsd.org 2013/02/22 22:09:01
[ssh.c]
Allow IdenityFile=none; ok markus deraadt (and dtucker for an earlier
version)
20130401
- (dtucker) [openbsd-compat/bsd-cygwin_util.{c,h}] Don't include windows.h
to avoid conflicting definitions of __int64, adding the required bits.
Patch from Corinna Vinschen.
20120322
- (djm) [contrib/ssh-copy-id contrib/ssh-copy-id.1] Updated to Phil
Hands' greatly revised version.

4
README
View File

@ -1,4 +1,4 @@
See http://www.openssh.com/txt/release-6.2 for the release notes.
See http://www.openssh.com/txt/release-6.2p2 for the release notes.
- A Japanese translation of this document and of the OpenSSH FAQ is
- available at http://www.unixuser.org/~haruyama/security/openssh/index.html
@ -62,4 +62,4 @@ References -
[6] http://www.openbsd.org/cgi-bin/man.cgi?query=style&sektion=9
[7] http://www.openssh.com/faq.html
$Id: README,v 1.82 2013/02/26 23:48:19 djm Exp $
$Id: README,v 1.82.2.1 2013/05/10 06:12:54 djm Exp $

View File

@ -16,7 +16,7 @@
#old cvs stuff. please update before use. may be deprecated.
%define use_stable 1
%define version 6.2p1
%define version 6.2p2
%if %{use_stable}
%define cvs %{nil}
%define release 1
@ -363,4 +363,4 @@ fi
* Mon Jan 01 1998 ...
Template Version: 1.31
$Id: openssh.spec,v 1.79 2013/02/26 23:48:20 djm Exp $
$Id: openssh.spec,v 1.79.2.1 2013/05/10 06:02:21 djm Exp $

View File

@ -1,4 +1,4 @@
%define ver 6.2p1
%define ver 6.2p2
%define rel 1
# OpenSSH privilege separation requires a user & group ID

View File

@ -165,6 +165,9 @@ done
eval set -- "$SAVEARGS"
if [ $# == 0 ] ; then
usage
fi
if [ $# != 1 ] ; then
printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2
usage
@ -196,7 +199,11 @@ populate_new_ids() {
umask 0177
local L_TMP_ID_FILE=$(mktemp ~/.ssh/ssh-copy-id_id.XXXXXXXXXX)
trap "rm -f $L_TMP_ID_FILE*" EXIT TERM INT QUIT
if test $? -ne 0 || test "x$L_TMP_ID_FILE" = "x" ; then
echo "mktemp failed" 1>&2
exit 1
fi
trap "rm -f $L_TMP_ID_FILE ${L_TMP_ID_FILE}.pub" EXIT TERM INT QUIT
printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2
NEW_IDS=$(
eval $GET_ID | {

View File

@ -13,7 +13,7 @@
Summary: OpenSSH, a free Secure Shell (SSH) protocol implementation
Name: openssh
Version: 6.2p1
Version: 6.2p2
URL: http://www.openssh.com/
Release: 1
Source0: openssh-%{version}.tar.gz

2
krl.c
View File

@ -14,7 +14,7 @@
* OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
*/
/* $OpenBSD: krl.c,v 1.9 2013/01/27 10:06:12 djm Exp $ */
/* $OpenBSD: krl.c,v 1.10 2013/02/19 02:12:47 dtucker Exp $ */
#include "includes.h"

View File

@ -1,5 +1,5 @@
/*
* Copyright (c) 2000, 2001, 2011 Corinna Vinschen <vinschen@redhat.com>
* Copyright (c) 2000, 2001, 2011, 2013 Corinna Vinschen <vinschen@redhat.com>
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
@ -27,20 +27,15 @@
* binary mode on Windows systems.
*/
#define NO_BINARY_OPEN /* Avoid redefining open to binary_open for this file */
#include "includes.h"
#ifdef HAVE_CYGWIN
#if defined(open) && open == binary_open
# undef open
#endif
#include <sys/types.h>
#include <fcntl.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <windows.h>
#include "xmalloc.h"

View File

@ -1,7 +1,7 @@
/* $Id: bsd-cygwin_util.h,v 1.15 2012/08/28 09:57:19 dtucker Exp $ */
/* $Id: bsd-cygwin_util.h,v 1.15.4.1 2013/04/04 23:53:31 dtucker Exp $ */
/*
* Copyright (c) 2000, 2001, 2011 Corinna Vinschen <vinschen@redhat.com>
* Copyright (c) 2000, 2001, 2011, 2013 Corinna Vinschen <vinschen@redhat.com>
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
@ -36,24 +36,21 @@
#undef ERROR
#define WIN32_LEAN_AND_MEAN
/* Avoid including windows headers. */
typedef void *HANDLE;
#define INVALID_HANDLE_VALUE ((HANDLE) -1)
#include <windows.h>
#include <sys/cygwin.h>
#include <io.h>
/* Make sure _WIN32 isn't defined later in the code, otherwise headers from
other packages might get the wrong idea about the target system. */
#ifdef _WIN32
#undef _WIN32
#endif
int binary_open(const char *, int , ...);
int check_ntsec(const char *);
char **fetch_windows_environment(void);
void free_windows_environment(char **);
#ifndef NO_BINARY_OPEN
#define open binary_open
#endif
#endif /* HAVE_CYGWIN */

View File

@ -1,4 +1,4 @@
/* $OpenBSD: packet.c,v 1.181 2013/02/10 23:35:24 djm Exp $ */
/* $OpenBSD: packet.c,v 1.182 2013/04/11 02:27:50 djm Exp $ */
/*
* Author: Tatu Ylonen <ylo@cs.hut.fi>
* Copyright (c) 1995 Tatu Ylonen <ylo@cs.hut.fi>, Espoo, Finland
@ -1463,7 +1463,7 @@ packet_read_poll_seqnr(u_int32_t *seqnr_p)
/* Ignore normal client exit notifications */
do_log2(active_state->server_side &&
reason == SSH2_DISCONNECT_BY_APPLICATION ?
SYSLOG_LEVEL_DEBUG1 : SYSLOG_LEVEL_ERROR,
SYSLOG_LEVEL_INFO : SYSLOG_LEVEL_ERROR,
"Received disconnect from %s: %u: %.400s",
get_remote_ipaddr(), reason, msg);
xfree(msg);

View File

@ -1,4 +1,4 @@
/* $OpenBSD: sshconnect.c,v 1.236 2012/09/14 16:51:34 markus Exp $ */
/* $OpenBSD: sshconnect.c,v 1.237 2013/02/22 19:13:56 markus Exp $ */
/*
* Author: Tatu Ylonen <ylo@cs.hut.fi>
* Copyright (c) 1995 Tatu Ylonen <ylo@cs.hut.fi>, Espoo, Finland
@ -89,6 +89,13 @@ ssh_proxy_connect(const char *host, u_short port, const char *proxy_command)
pid_t pid;
char *shell, strport[NI_MAXSERV];
if (!strcmp(proxy_command, "-")) {
packet_set_connection(STDIN_FILENO, STDOUT_FILENO);
packet_set_timeout(options.server_alive_interval,
options.server_alive_count_max);
return 0;
}
if ((shell = getenv("SHELL")) == NULL || *shell == '\0')
shell = _PATH_BSHELL;

View File

@ -2,5 +2,5 @@
#define SSH_VERSION "OpenSSH_6.2"
#define SSH_PORTABLE "p1"
#define SSH_PORTABLE "p2"
#define SSH_RELEASE SSH_VERSION SSH_PORTABLE